const express = require('express');
const path = require('path');

const app = express();
const port = 3000;

// Set the view engine to EJS
app.set('view engine', 'ejs');
app.set('views', path.join(__dirname, 'views'));

// Import routes
const circleRoutes = require('./routes/circle');

// Use circle routes
app.use('/circle', circleRoutes);

// Start the server
app.listen(port, () => {
    console.log(`Server is running on http://localhost:${port}/circle`);
});
