class Circle {
    constructor(radius = 1) {
        this.radius = radius;
    }

    get circumference() {
        return (2 * Math.PI * this.radius).toFixed(2);
    }

    get area() {
        return (Math.PI * Math.pow(this.radius, 2)).toFixed(2);
    }

    toString() {
        return `Circle: radius=${this.radius.toFixed(1)}`;
    }
}

module.exports = Circle;
